﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Data;

namespace TheMovieDb.Example.Converters
{
    [ValueConversion(typeof(object), typeof(string))]
    public class TmdbImageConverter2 : IValueConverter
    {
        public object Convert(object value, Type targetType,
            object parameter, System.Globalization.CultureInfo culture)
        {
            var images = value as List<TmdbImage>;
            if (images == null)
                return null;
            return images.Where(p => p.ImageInfo.Type == parameter.ToString() && p.ImageInfo.Size == "profile");
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, System.Globalization.CultureInfo culture)
        {
            // we don't intend this to ever be called
            return null;
        }
    }
}
